Bug 220902 - mail/opendmarc: Update to 1.3.2
Summary: mail/opendmarc: Update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-21 11:44 UTC by Dan Mahoney
Modified: 2017-09-13 18:22 UTC (History)
5 users (show)

See Also:


Attachments
opendmarc.shar (8.66 KB, application/x-shar)
2017-07-21 11:44 UTC, Dan Mahoney
no flags Details
svn diff updating opendmarc to 1.3.2 (1.16 KB, patch)
2017-08-28 21:46 UTC, Lukasz Wasikowski
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Mahoney 2017-07-21 11:44:48 UTC
Created attachment 184571 [details]
opendmarc.shar

Updated to 1.3.2, new port file attached.

It's my first time actually re-revving this, please let me know if I missed anything.

Thanks!
Comment 1 Bugzilla Automation freebsd_committer 2017-07-21 11:44:48 UTC
Maintainer informed via mail
Comment 2 Dan Mahoney 2017-07-21 11:52:42 UTC
I am the maintainer, fwiw.  My bugzilla email doesn't match the one on the port.
Comment 3 Danilo G. Baio freebsd_committer 2017-07-22 14:36:08 UTC
Thank you for your contribution.

Could you please send a diff instead of a .shar file?

https://www.freebsd.org/doc/en/books/porters-handbook/port-upgrading.html#svn-diff

And confirm that this change passes QA (portlint, poudriere in particular). 
For more information, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html

Regards.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-23 12:22:54 UTC
(In reply to Gushi from comment #2)

Could you update your Bugzilla email (temporarily) to match that in the MAINTAINER  line so that we can correctly document and verify maintainer approval please?

Subsequent to this issue, if you could create a separate issue updating all maintainer lines to match your bugzilla email that would be much appreciated, as it saves a lot of time/confusion/complexity verifying and documenting approval. 

Alternatively, after changing the your bugzilla email above, you may leave it and the port maintainer lines as is.
Comment 5 Dan Mahoney 2017-07-23 15:41:58 UTC
(In reply to Kubilay Kocak from comment #4)

Updated.  Real name changed as well.

Sorry for the confusion.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-24 02:12:49 UTC
Thank you Dan. You can use the maintainer-approval flag (set to +) on attachments to signify maintainer submissions/approval. Attachment -> Details -> maintainer-approval [+]

Pending diff attachment (replacing shar) and QA
Comment 7 Lukasz Wasikowski 2017-08-28 21:45:38 UTC
I need 1.3.2 badly, so I'll step in ;)

I made svn diff from Dan's shar file, with some changes:
- removed PORTREVISION=0 from Makefile (not needed)
- removed etc/rc.d/opendmarc from pkg-plist (missing file)
- removed %%PORTDOCS%%%%DOCSDIR%%/* from pkg-plist (missing files)

After that it builds, installs and works for me.

portlint: OK (looks fine.)
testport: OK (poudriere: 10.3 and 11.1 on amd64 tested)
Comment 8 Lukasz Wasikowski 2017-08-28 21:46:27 UTC
Created attachment 185848 [details]
svn diff updating opendmarc to 1.3.2
Comment 9 Kurt Jaeger freebsd_committer 2017-09-13 14:45:48 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2017-09-13 14:46:13 UTC
A commit references this bug:

Author: pi
Date: Wed Sep 13 14:45:30 UTC 2017
New revision: 449797
URL: https://svnweb.freebsd.org/changeset/ports/449797

Log:
  mail/opendmarc: update 1.3.1 -> 1.3.2

  Feature request #86: Change meaning of "RequiredHeaders" such that
  	header validity is always checked, but messages are only
  	rejected on that basis when the flag is set.  Based
  	on a patch from Andreas Schulze.
  Feature request #127: Log SPF results when rejecting.  Requested
  	by Patrick Wagner; patch from Andreas Schulze, follow-up
  	patch from Juri Haberland.
  Feature request #138: Inculde policy and disposition information
  	in an Authentication-Results comment.  Based on a patch
  	from Juri Haberland.
  Feature request #139: Include the client host name if known
  	in failure reports.  Suggested by Roland Turner;
  	patch by Andreas Schulze.
  Fix bug #95: Assume IPv6 for SPF operations.  Patch from Juri Haberland.
  Fix bug #120: Fix control logic around the SPF result.
  	Reported by Christophe Wolfhugel; patch from Andreas Schulze.
  Fix bug #122: Don't skip the HELO milter phase when SPF is enabled.
  	Reported by Christophe Wolfhugel.
  Fix bug #157: Fix logging of implicit authserv-ids.  Reported
  	by Andreas Schulze; patch from Juri Haberland.
  Fix bug #158: Log ignored connections.  Patch from Andreas Schulze.
  Fix bug #160: Fix "SyslogFacility" handling.  Patch from
  	Juri Haberland.
  Fix bug #163: Use a larger buffer for the raw MAIL FROM value.
  	Based on a patch from Andreas Schulze.
  Fix bug #174: Trim "!" suffixes from reporting addresses.  Problem
  	noted by Juri Haberland.
  Fix bug #186: When reloading the configuration file, the public
  	suffix list was read in with the wrong comment indicator.
  	Patch from Federico Omoto.
  LIBOPENDMARC: Fix bug #115: Fix type mismatch.  Patch from
  	Sebastian A. Siewior via Scott Kitterman.
  LIBOPENDMARC: Fix bug #121: Fix IPv6 CIDR matching in SPF code.
  	Patch from Christophe Wolfhugel.
  LIBOPENDMARC: Fix bug #125: Compile time IPv6 fix.  Reported by
  	Christophe Wolfhugel.
  LIBOPENDMARC: Fix bug #131: Fix alignment bug.  Patch from
  	Andreas Schulze.
  LIBOPENDMARC: Fix bug #147: Fix stripping of whitespace from
  	DMARC DNS records.  Based on a patch from Job Noorman.
  LIBOPENDMARC: Fix bug #149: Apply "sp" setting, if present and
  	applicable.  Patch from Petr Novak.
  LIBOPENDMARC: Fix bug #154: Fix "rf" and "fo" processing logic.
  LIBOPENDMARC: Fix bug #156: Fix variable name.  Patch by
  	Andreas Schulze.
  LIBOPENDMARC: Fix bug #165: Fix logic in checking which SPF
  	identifier was used.  Patches from Marco Favero and
  	Juri Haberland.
  LIBOPENDMARC: Fix bug #167: Don't return "fail" when we should
  	return "none".  Patch from Marco Favero.
  REPORTS: Fix bug #134: Handle SMTP errors correctly.  Patch from
  	Andreas Schulze.
  REPORTS: Fix bug #141: Set the HELO parameter correctly.
  	Reported by Alan Smith; patch from Andreas Schulze.
  REPORTS: Fix bug #143: Fix logic in table truncation.
  	Reported by Wayne Andersen; patch from Juri Haberland.
  REPORTS: Fix bug #162: Always report "sp" in aggregate reports.
  	Patch from Juri Haberland.
  REPORTS: Fix bug #166: Fix report start/end time logic.
  	Patch from Juri Haberland.
  REPORTS: Fix bug #188: Don't delete inputs too early in
  	opendmarc-reports.  Patch from Juri Haberland.
  TOOLS: Fix bug #161: "Forensic" reports were renamed "Failure"
  	reports.  Patch from Andreas Schulze.
  TOOLS: Fix bug #164: Handle IPv6 test addresses.  Reported by
  	Andreas Schulze; patch from Juri Haberland.
  DOCS: Patch #189: Replace the DMARC RFC with an HTML page
  	referencing the relevant specs, since Debian doesn't
  	consider RFCs to be "free".  Patch from Scott Kitterman
  	via Juri Haberland.

  PR:		220902
  Submitted by:	Dan Mahoney <freebsd@gushi.org> (maintainer), Lukasz Wasikowski <lukasz@wasikowski.net>

Changes:
  head/mail/opendmarc/Makefile
  head/mail/opendmarc/distinfo
  head/mail/opendmarc/pkg-plist